tigase.db.util

## Enum DBSchemaLoader.PARAMETERS_ENUM

- java.lang.Object
- - java.lang.Enum<DBSchemaLoader.PARAMETERS_ENUM>
  - - tigase.db.util.DBSchemaLoader.PARAMETERS_ENUM

- All Implemented Interfaces:
    Serializable, Comparable<DBSchemaLoader.PARAMETERS_ENUM>
  Enclosing class:
    DBSchemaLoader

      public static enum DBSchemaLoader.PARAMETERS_ENUM
      extends Enum<DBSchemaLoader.PARAMETERS_ENUM>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMIN_JID`
    `ADMIN_JID_PASS`
    `DATABASE_HOSTNAME`
    `DATABASE_NAME`
    `DATABASE_OPTIONS`
    `DATABASE_TYPE`
    `FILE`
    `FORCE_RELOAD_ALL_SCHEMA_FILES`
    `GET_URI`
    `IGNORE_MISSING_FILES`
    `LOG_LEVEL`
    `QUERY`
    `ROOT_PASSWORD`
    `ROOT_USERNAME`
    `SCHEMA_VERSION`
    `SERVER_TIMEZONE`
    `TIGASE_PASSWORD`
    `TIGASE_USERNAME`
    `USE_LEGACY_DATETIME_CODE`
    `USE_SSL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultValue()`
    `String` | `getName()`
    `static DBSchemaLoader.PARAMETERS_ENUM` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DBSchemaLoader.PARAMETERS_ENUM[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATABASE_TYPE

          public static final DBSchemaLoader.PARAMETERS_ENUM DATABASE_TYPE

    - #### SCHEMA_VERSION

          public static final DBSchemaLoader.PARAMETERS_ENUM SCHEMA_VERSION

    - #### DATABASE_NAME

          public static final DBSchemaLoader.PARAMETERS_ENUM DATABASE_NAME

    - #### DATABASE_HOSTNAME

          public static final DBSchemaLoader.PARAMETERS_ENUM DATABASE_HOSTNAME

    - #### TIGASE_USERNAME

          public static final DBSchemaLoader.PARAMETERS_ENUM TIGASE_USERNAME

    - #### TIGASE_PASSWORD

          public static final DBSchemaLoader.PARAMETERS_ENUM TIGASE_PASSWORD

    - #### ROOT_USERNAME

          public static final DBSchemaLoader.PARAMETERS_ENUM ROOT_USERNAME

    - #### ROOT_PASSWORD

          public static final DBSchemaLoader.PARAMETERS_ENUM ROOT_PASSWORD

    - #### LOG_LEVEL

          public static final DBSchemaLoader.PARAMETERS_ENUM LOG_LEVEL

    - #### USE_SSL

          public static final DBSchemaLoader.PARAMETERS_ENUM USE_SSL

    - #### GET_URI

          public static final DBSchemaLoader.PARAMETERS_ENUM GET_URI

    - #### QUERY

          public static final DBSchemaLoader.PARAMETERS_ENUM QUERY

    - #### FILE

          public static final DBSchemaLoader.PARAMETERS_ENUM FILE

    - #### ADMIN_JID

          public static final DBSchemaLoader.PARAMETERS_ENUM ADMIN_JID

    - #### ADMIN_JID_PASS

          public static final DBSchemaLoader.PARAMETERS_ENUM ADMIN_JID_PASS

    - #### IGNORE_MISSING_FILES

          public static final DBSchemaLoader.PARAMETERS_ENUM IGNORE_MISSING_FILES

    - #### FORCE_RELOAD_ALL_SCHEMA_FILES

          public static final DBSchemaLoader.PARAMETERS_ENUM FORCE_RELOAD_ALL_SCHEMA_FILES

    - #### DATABASE_OPTIONS

          public static final DBSchemaLoader.PARAMETERS_ENUM DATABASE_OPTIONS

    - #### USE_LEGACY_DATETIME_CODE

          public static final DBSchemaLoader.PARAMETERS_ENUM USE_LEGACY_DATETIME_CODE

    - #### SERVER_TIMEZONE

          public static final DBSchemaLoader.PARAMETERS_ENUM SERVER_TIMEZONE

  - ### Method Detail

    - #### values

          public static DBSchemaLoader.PARAMETERS_ENUM[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DBSchemaLoader.PARAMETERS_ENUM c : DBSchemaLoader.PARAMETERS_ENUM.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DBSchemaLoader.PARAMETERS_ENUM valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### getDefaultValue

          public String getDefaultValue()

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.